package solutions.reslate.entertainment.spigotresourcesync.serialisation;

import java.io.File;
import java.io.IOException;
import java.io.Reader;

public interface Serialiser<T> {
    void flushTo(File file, T serialisable) throws IOException;
    String serialize(T serialisable);
    T load(File file, Class<T> type) throws IOException;
    T load(Reader reader, Class<T> type) throws IOException;
    T deserialize(String data, Class<T> type);

}
