package solutions.reslate.entertainment.spigotresourcesync.data;

import java.io.Serializable;

public class Configuration implements Serializable {
    private boolean enabled;
    private boolean syncOnLoad;
    private SyncList syncList;

    public Configuration() {
        super();
        enabled = true;
        syncOnLoad = true;
        syncList = new SyncList();
        syncList.addSynchronisationPair("exampleA", "exampleB", "general");
    }
    
    public boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public boolean getSyncOnLoad() {
        return syncOnLoad;
    }

    public void setSyncOnLoad(boolean syncOnLoad) {
        this.syncOnLoad = syncOnLoad;
    }

    public SyncList getSyncList() {
        return syncList;
    }

    public void setSyncList(SyncList syncList) {
        this.syncList = syncList;
    }

}
